Subject: Re: bug#14881: 24.3.50; Odd cursor movement with images (or lines with different heights?)
From: Eli Zaretskii <[email-masked]>
To: Lars Magne Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Jul 2013 19:54:40 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 17 Jul 2013 12:50:34 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Defaulting to the current cursor (non-)movement seems kinda un-obvious.
> >> Why would anybody want `C-n' to scroll the window instead of er moving
> >> the cursor down?
> >
> > Because you don't want the images to jump.  If they do, you won't see
> > some of their parts, especially if the window height is small.
> 
> In the example that started this bug report, there's no danger of images
> jumping or not being shown, so I don't understand why users would want
> `C-n' to do anything but behave as normal; i.e., go to the next line.
> 
> That's a pretty fundamental thing to do, and if you can't rely on `C-n'
> taking you to the next line, lots of things get very, very confusing.

If you want C-n to always take you to the next line in interactive
usage, the you should set auto-window-vscroll to nil.
Non-interactively, you should call next-line with nil TRY-VSCROLL
argument.

C-n doesn't always take you to the next line since Emacs 22, and not
only with tall images.

> Now, if you have an image that's higher than the window size, then, yes,
> perhaps `C-n' should do something else than going to the next line.  But
> having such an image is not the normal use case.  The normal use case is
> to have lots of smaller images in the window.

"Normal" is in the eyes of the beholder.

Anyway, you should have what you wanted in trunk revision 113442.  I
hope you like it.  FWIW, this never worked well in Emacs (e.g., try
C-p in your test case with older Emacsen).